#
# spec file for package zot
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zot
Version:        0.0.3
Release:        6.3
Summary:        Zot language
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{name}-%{version}/revision/1.cabal#/%{name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-monads-tf-devel
BuildRequires:  ghc-rpm-macros

%description
Zot language (<http://semarch.linguistics.fas.nyu.edu/barker/Iota/zot.html>)

> echo "10100" | cat examples/reverse.zot - | zot - > 00101

> cat examples/reverse.lambda | zot lambdaToSki | zot skiToZot | zot arg
"10100" | zot - > 00101

And try

> cat examples/reverse.zot | zot zotToSki | zot skiToLambda

and

> cat examples/reverse.zot | zot zotToSki | zot skiToLambda -h.

%prep
%setup -q
cp -p %{SOURCE1} %{name}.cabal

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%license LICENSE
%{_bindir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/examples
%{_datadir}/%{name}-%{version}/README
%{_datadir}/%{name}-%{version}/examples/reverse.lambda
%{_datadir}/%{name}-%{version}/examples/reverse.zot

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Sep 20 2016 psimons@suse.com
- Update to version 0.0.3 revision 1 with cabal2obs.
